Bug 24905 - repeatable deskguide_applet crash
repeatable deskguide_applet crash
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
David Lawrence
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-24 21:58 EST by Jeremy Katz
Modified: 2013-04-02 00:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-29 19:06:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2001-01-24 21:58:48 EST
repeatable crash of the deskguide_applet with gnome-core-1.2.4-2.  Right
click, properties.  Then, turn off the window thumbnailing.  Apply.  Turn
back on, apply again or click okay and segfault.  Backtrace of the core file

(no debugging symbols found)...0x40611909 in __wait4 () from /lib/libc.so.6
#0  0x40611909 in __wait4 () from /lib/libc.so.6
#1  0x4067d2a8 in __DTOR_END__ () from /lib/libc.so.6
#2  0x401573f8 in gnome_segv_handle () from /usr/lib/libgnomeui.so.32
#3  <signal handler called>
#4  0x40369eb8 in gdk_window_get_size () from /usr/lib/libgdk-1.2.so.0
#5  0x08052a44 in gwm_thumb_nail_update_drawable () at eval.c:41
#6  0x08054aff in gwm_desktop_set_index () at eval.c:41
#7  0x400978a1 in g_timeout_dispatch () at eval.c:41
#8  0x400968f3 in g_main_dispatch () at eval.c:41
#9  0x40096f38 in g_main_iterate () at eval.c:41
#10 0x400970fc in g_main_run () at eval.c:41
#11 0x402a1aa3 in gtk_main () from /usr/lib/libgtk-1.2.so.0
#12 0x08057138 in main () at eval.c:41
#13 0x4057cbcc in __libc_start_main (main=0x8056d90 <main>, argc=5,
    ubp_av=0xbffffadc, init=0x804c9fc <_init>, fini=0x805907c <_fini>,
    rtld_fini=0x4000d5e4 <_dl_fini>, stack_end=0xbffffad4)
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Jonathan Blandford 2001-01-25 15:13:17 EST
Tim, can you look at this?
We disabled this feature in RH 7.  Apparently it was turned back on at some
point for the betas.  We should prolly just disable it again until it is stable.
Comment 2 Glen Foster 2001-01-29 19:06:27 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 3 Elliot Lee 2001-02-01 17:21:08 EST
No sign of Tim - will patch gnome-core-1.2.4-5 to always disable thumbnailing
and remove ability of user to turn it on.

Note You need to log in before you can comment on or make changes to this bug.